kdk::KBorderlessButton(3)

NAME
kdk::KBorderlessButton - 无边框按钮

SYNOPSIS

#include <kborderlessbutton.h>

Inherits QPushButton.

  Public Member Functions

KBorderlessButton (QWidget *parent=nullptr)
KBorderlessButton (const QString &text, QWidget *parent=nullptr)
KBorderlessButton (const QIcon &icon, const QString &text, QWidget *parent=nullptr)
KBorderlessButton (const QIcon &icon, QWidget *parent=nullptr)
void setIcon (const QIcon &icon)
设置按钮图标

  Protected Member Functions

bool eventFilter (QObject *watched, QEvent *event)
void paintEvent (QPaintEvent *event)
QSize sizeHint () const

Detailed Description

无边框按钮

Since
    1.0.0

Examples
testPushbutton/widget.h.

Author

Generated automatically by Doxygen for LIBKYSDK-APPLICATIONS from the source code.